Bug 837905 - [abrt] tracker-0.14.1-1.fc17: malloc_consolidate: Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
[abrt] tracker-0.14.1-1.fc17: malloc_consolidate: Process /usr/libexec/tracke...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:7648200f1df7720d434952ceba0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 15:13 EDT by Pascal94
Modified: 2013-06-21 16:08 EDT (History)
16 users (show)

See Also:
Fixed In Version: tracker-0.14.5-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-20 22:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.94 KB, text/plain)
2012-07-05 15:13 EDT, Pascal94
no flags Details
File: maps (28.27 KB, text/plain)
2012-07-05 15:13 EDT, Pascal94
no flags Details
File: dso_list (5.80 KB, text/plain)
2012-07-05 15:13 EDT, Pascal94
no flags Details

  None (edit)
Description Pascal94 2012-07-05 15:13:31 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-extract
crash_function: malloc_consolidate
executable:     /usr/libexec/tracker-extract
kernel:         3.4.4-3.fc17.x86_64
pid:            15067
pwd:            /
time:           jeu. 05 juil. 2012 20:57:58 CEST
uid:            1000
username:       pascal

backtrace:      Text file, 47039 bytes
dso_list:       Text file, 5942 bytes
maps:           Text file, 28947 bytes

build_ids:
:8e4cc33666cf4865905d5e9f11b16d1cbb4cc4f2
:fe58d8fb04b8db326ab41ab7a98b0f3b73e06618
:388ccbe3b107145c43ae82205c3392aed373a832
:6086bff484a49cc8b80cb714d7e83a6391394800
:4c9c864a7c7b7ed702088955821d58137803462d
:ec4ae4651095426c7506ed110ee89f437bce89e1
:4575ec01ed90ab3856f29eaf84d73f015b534b87
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:80d3d0106338bd76f3ff4eed36d44e934cafc3f4
:fad2d57f73db1d2b51917a93ac42fb4e1308b141
:66ff6e23f48b16dd1cd292e31a109a8c98ff70f2
:089538c0de89b7166d1eba2e1e8af58bc8947d90
:a625841a963b5765aa9c0b4f827a8235f2697ccc
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:49ff2bf2bc331d1033b5e96f3b4372347889ba17
:9e6594e38d36f94f5e02c90731970f1c72396147
:31243d0d107bba586a96433c76c87a26db1e826c
:f4c064df8745dff15466d705fb049138f9a5c949
:60110cdea38e8daff98ddc671bc24a2bd469d28a
:350920b52e92655cdb258fa5f96fe7004ad07a52
:6668de624a10d486a3484d5b4921f87b1e77d36c
:3da0a1f9d1644044ca0e30aaf5c64687e559bf03
:cd6934c7ffdc10b4626f8a94336de83eb989545e
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:f1c5764c91642a33bec2d4ba5adbefc196cc8d60
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:99c23b21038c62b0628b93610fb54c5900c40ffd
:67792c148d2b8f13f6732c9367e926c26d7376c5
:92876610c0172ee2296d4e07bf661c226ab0c168
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:ff8d78c2ca513147704d025ce84fe9304f7ef445
:822e9b3523e8312240f41a25722d539bc77ed436
:78a9521377bfe9abb74a7e2f8840898abf2cae9c
:d804f8ee47797da9213a92f00cd095ecada8d79f
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:5b7cdec9dba117156a6e5568a103fb5b44087566
:7c35310fc506498c612d5d982ab03becc4b4817c
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:929d271f51370434d6e9f63b74694fb424470462
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:a77961c9d1b3f1aafa16af9ed91da4329b8bf968
:10db86ab9481dc0e2bd0f0c4c987e86a8a1d9a8b
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:fffb0e6dd2f8decf1f14d81c35f1ec36182ae915
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:c6d63050de28819bfdd8fa80036dff1a36179b65
:894e7194203eda5fcff5445d3ce9796de60a749b
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:ec87953f655fbcbcbe71b591db5451e56739576e
:ea7d20d88dc49c1d58a72c830438b6e297244d03

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/pascal/1

core_backtrace:
:ff8d78c2ca513147704d025ce84fe9304f7ef445 0x7bcf3 malloc_consolidate libc.so.6 -
:ff8d78c2ca513147704d025ce84fe9304f7ef445 0x7c708 _int_free libc.so.6 -
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff 0xca2f - libpng15.so.15 -
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff 0xcd2e png_destroy_read_struct libpng15.so.15 -
:089538c0de89b7166d1eba2e1e8af58bc8947d90 0x35cd tracker_extract_get_metadata libextract-png.so -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x9764 - [exe] -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x9c1d - [exe] -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x9faa - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:5dcd0a7cfacb42a4af7bec875f9865e918cb6de5 0x754f main [exe] -

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-KFtMgtBwms,guid=d73d7eade4dbcbd294229a9700000017
:XDG_RUNTIME_DIR=/run/user/pascal
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:LC_MEASUREMENT=fr_FR.utf8
:SSH_AUTH_SOCK=/run/user/pascal/keyring-HStURU/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/994,unix/unix:/tmp/.ICE-unix/994
:LC_MONETARY=fr_FR.utf8
:LC_NUMERIC=fr_FR.utf8
:LC_TIME=fr_FR.utf8
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:XDG_VTNR=1
:USERNAME=pascal
:GDMSESSION=gnome
:XDG_SESSION_ID=1
:GPG_AGENT_INFO=/run/user/pascal/keyring-HStURU/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-KFtMgtBwms,guid=d73d7eade4dbcbd294229a9700000017
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-pascal-e6CsQo/database
:USER=pascal
:DBUS_STARTER_BUS_TYPE=session
:PWD=/home/pascal
:GDM_LANG=fr_FR.utf8
:SHLVL=1
:GNOME_KEYRING_CONTROL=/run/user/pascal/keyring-HStURU
:LANG=fr_FR.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=pascal
:HOME=/home/pascal

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             2068738048           unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31395                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         2068738048           unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31395                31395                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[1720615]
:pos:	0
:flags:	02004002
:7:socket:[1720072]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:pipe:[1720068]
:pos:	0
:flags:	02000001
:11:/home/pascal/.local/share/tracker/tracker-extract.log
:pos:	267332
:flags:	0102001
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:socket:[1720076]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:pipe:[1720068]
:pos:	0
:flags:	02000001
:16:/home/pascal/Documents/Personnel/Arrêt Travail Sylvie 05-07-2012-2.png
:pos:	47123962
:flags:	01100000

smolt_data:
:
:
:Général
:=================================
:UUID: 65fbfb83-c2ab-490a-a1a3-32a922e8e891
:SE: Fedora release 17 (Beefy Miracle)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 6221.70
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM)2 Quad  CPU   Q9550  @ 2.83GHz
:Stepping du processeur: 7
:Famille de processeur: 6
:Modèle du processeur: 23
:Nombre de processeurs: 4
:Vitesse du processeur: 2830
:Mémoire du système: 3945
:Swap du système: 5119
:Fabricant: System manufacturer
:Système: System Product Name System Version
:Type d'ordinateur: Desktop
:Noyau: 3.4.4-3.fc17.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(32902:10168:4163:33145) pci, None, PCI/ISA, P5KPL-VM Motherboard
:(32902:10690:4163:33456) pci, i915, VIDEO, P5KPL-VM Motherboard
:(32902:10176:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(32902:10192:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4163:33719) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(32902:10202:4163:33145) pci, None, SERIAL, P5KPL-VM Motherboard
:(32902:9294:4163:33145) pci, None, PCI/PCI, 82801 PCI Bridge
:(6505:4134:4163:33564) pci, ATL1E, ETHERNET, AR8121/AR8113/AR8114 Gigabit or Fast Ethernet
:(32902:10185:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10184:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10688:4163:33456) pci, agpgart-intel, HOST/PCI, P5KPL-VM Motherboard
:(32902:10186:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10187:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10188:4163:33145) pci, ehci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5234913 3604719 3552299 1310720 1112927 1112927
:/dev/sda3 /home ext4 4096 4096 71503071 58240907 54661464 17899520 17833520 17833520
:

var_log_messages:
:Jul  5 20:57:58 CM-ELITE-341 kernel: [47805.129321] tracker-extract[15067]: segfault at 6138 ip 000000348567bcf3 sp 00007ffff86a03e0 error 4 in libc-2.15.so[3485600000+1ac000]
:Jul  5 20:57:59 CM-ELITE-341 abrt[15081]: Saved core dump of pid 15067 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2012-07-05-20:57:58-15067 (215298048 bytes)
Comment 1 Pascal94 2012-07-05 15:13:39 EDT
Created attachment 596480 [details]
File: backtrace
Comment 2 Pascal94 2012-07-05 15:13:43 EDT
Created attachment 596481 [details]
File: maps
Comment 3 Pascal94 2012-07-05 15:13:45 EDT
Created attachment 596482 [details]
File: dso_list
Comment 4 Frank Büttner 2012-08-07 11:22:30 EDT
Simply boot the system and log in.

backtrace_rating: 4
Package: tracker-0.14.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Dandim 2012-08-30 05:19:17 EDT
Crash after restart. Restart after update tracker.

backtrace_rating: 4
Package: tracker-0.14.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 D. Charles Pyle 2012-09-24 10:09:05 EDT
I have no idea what is causing this error. The last thing I was doing just before it appeared was posting to Fedora forums.

backtrace_rating: 4
Package: tracker-0.14.2-4.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 7 D. Charles Pyle 2012-10-04 23:58:40 EDT
Started happening after a round of updates easrlier today. Not sure of the cause.

backtrace_rating: 4
Package: tracker-0.14.2-4.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 8 D. Charles Pyle 2012-10-24 19:22:57 EDT
I do not know howthis happened. I only saw this in abrt when I had logged on.

backtrace_rating: 4
Package: tracker-0.14.2-4.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 9 D. Charles Pyle 2012-10-25 13:32:12 EDT
Got the same message again. This time it happened while cropping a photo and saving it in cropped format over the original photo using Shotwell.

$ rpm -qa shotwell
shotwell-0.13.1-1.fc18.x86_64

As soon as the save was completed abrt reported the error.
Comment 10 Brian J. Murrell 2012-10-27 16:42:16 EDT
I saw this also on FC17 with tracker-0.14.2-3.fc17.x86_64
Comment 11 Brian J. Murrell 2012-11-03 17:17:36 EDT
Also seen again.
Comment 12 Bastien Nocera 2012-11-22 11:51:40 EST
(In reply to comment #9)
> Got the same message again. This time it happened while cropping a photo and
> saving it in cropped format over the original photo using Shotwell.
> 
> $ rpm -qa shotwell
> shotwell-0.13.1-1.fc18.x86_64
> 
> As soon as the save was completed abrt reported the error.

Exact same reproducer for me.
Comment 13 Brian J. Murrell 2012-12-14 10:58:07 EST
I am seeing this on FC18 now with tracker-0.14.4-1.fc18.x86_64.

Can somebody please update the Version(s) field of this ticket so that this ticket does not get closed as EOL (for FC17) before it gets resolved?
Comment 14 Roman Melihhov 2012-12-17 10:13:56 EST
THIS ERROR POPPED UP WHEN i OPENED MY IMAGE VIEWER

backtrace_rating: 4
Package: tracker-0.14.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 jibecfed 2013-01-13 14:10:43 EST
I can reproduce this error with the following :

1 . Make print screen
2 . Open the image in Shotwell (0.12.3 in my case on f17)
3 . Crop the image
4 . Save as ...
 ABRT report a crash, but save-as window opens and save works well
Comment 16 centralny 2013-02-05 09:07:06 EST
Exactly the same as above but w/ Fedora 18.
Comment 17 Chava Hdez O 2013-02-24 12:26:43 EST
Yo solo abri una imagen o cuando abro nautilus tambien me aparece. ¿Que pasa?

backtrace_rating: 4
Package: tracker-0.14.4-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 18 Matthias Clasen 2013-02-25 23:54:41 EST
Upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=660965 has a patch now.
Comment 19 Fedora Update System 2013-02-26 09:11:27 EST
tracker-0.14.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tracker-0.14.5-2.fc17
Comment 20 Fedora Update System 2013-02-26 21:43:47 EST
Package tracker-0.14.5-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tracker-0.14.5-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3140/tracker-0.14.5-2.fc17
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2013-06-20 22:00:06 EDT
tracker-0.14.5-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.